(define-module (machines ldap.metznet.ca)
  #:use-module (gnu system)
  #:use-module (guix gexp)
  #:use-module (system base-system)
  #:use-module (gnu packages slapd)
  #:use-module (gnu services)
  #:use-module (gnu services certbot)
  #:use-module (gnu services slapd))

(operating-system
  (inherit %metznet-base-server-system)
  (host-name "ldap-guix.metznet.ca")
  (services
   (append (list (service certbot-service-type
                          (certbot-configuration (email "admin@metznet.ca")
                                                 (certificates (list (certificate-configuration
                                                                      (domains '
                                                                       ("ldap-guix.metznet.ca")))))))
                 (service slapd-service-type
                          (slapd-configuration (uris
                                                "ldap:// ldapi:// ldaps:// ldapis://")
                                               (backups (list (local-file
                                                               "0.ldif")
                                                              (local-file
                                                               "1.ldif"))))))
           %metznet-server-services)))
